<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Arial, Helvetica, sans-serif;
        }

        .navbar-content-wrapper {
            display: flex;
        }

        .navbar {
            height: 3rem;
            background-color: white;
            padding-left: 3ch;
            padding-right: 3ch;
            display: flex;
            box-shadow: 0 3px 30px rgb(0 0 0 / 0.2);
            justify-content: center;
        }

        .navbar-content {
            width: 100%;
            height: 100%;
            display: flex;

            align-items: center;
            justify-content: center;

            padding-left: 4ch;
            padding-right: 4ch;

            font-size: 12px;
            margin-right: 1ch;
            color: black;
        }

        .navbar-content:hover {
            background-color:bisque;
        }


        .content {
            padding-top: 3rem;
            min-height:auto;
            align-items: center;
            display: flex;
            flex-direction: column;
        }

        .content .content-grid {
            margin-top: 2rem;
        }


        .flip-card {
            width: 300px;
            height: 200px;

            margin-left: 1rem;
            margin-right: 1rem;
            margin-bottom: 1rem;
            
            background-color:bisque;   
        }

        .flip-card-inner {
            width: 100%;
            height: 100%;

            position: relative;
            text-align: center;
            
            transform-style: preserve-3d;
            box-shadow: 0 4px 8px 0 rgba(212, 167, 167, 0.2);
        }

        .flip-card:hover .flip-card-inner {
            transform: rotateY(180deg);
            box-shadow: 0 8px 16px 0 #d9e786;
        }

        .flip-card-front, .flip-card-back {
            width: 100%;
            height: 100%;
            position: absolute;
            
            -webkit-backface-visibility: hidden;
            backface-visibility: hidden;

            display: flex;
            align-items: center;
            justify-content: center;
        }

        .flip-card-front {
            background-color: #dda862;
            color:white;
        }

        .flip-card-back {
            background-color: #37575f;
            color: white;
            transform: rotateY(180deg);
            flex-direction: column;
        }
        </style>
    </head>

        <body>

        <div class="navbar">
            <div class="navbar-content-wrapper">
            <a href="/">
                <div class="navbar-content">
                <p>Home</p>
                </div>
            </a>
            <a href="/lab-4/add-note/">
                <div class="navbar-content">
                <p>Form</p>
                </div>
            </a>
            <a href="/lab-4/note-list/">
                <div class="active navbar-content">
                <p>Notes</p>
                </div>
            </a>
            <a href="/lab-4/">
                <div class="navbar-content">
                <p>Summary</p>
                </div>
            </a>
            </div>
        </div>

        <div class="content">
            <h2>Our Notes</h2>

            <div class="content-grid">
                {% if notes %}
                {% for note in notes %}
                <div class="flip-card">

                    <div class="flip-card-inner">

                        <div class="flip-card-front">
                            <h3>{{ note.title }}</h3>
                        </div>

                        <div class="flip-card-back">
                            <p>To: {{ note.note_to }}</p> 
                            <p>From: {{ note.note_from }}</p> 
                            <p>{{ note.message }}</p>
                        </div>

                    </div>
                </div><br />
                {% endfor %}
                {% endif %}
            </div>
        </div>

    </body>
</html>

